com.google.gwt.core.ext.typeinfo

## Interface JParameterizedType

All Superinterfaces:
  HasAnnotations, JClassType, JType

    public interface JParameterizedType
    extends JClassType

Represents a parameterized type in a declaration.

### Method Summary

All Methods Instance Methods Abstract Methods
`JGenericType` `getBaseType()`
`JClassType` `getRawType()`
`JClassType[]` `getTypeArgs()`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType

`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### getBaseType

    JGenericType getBaseType()

#### getRawType

    JClassType getRawType()

#### getTypeArgs

    JClassType[] getTypeArgs()